<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Index</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>
            <h1>Index</h1>

            
            
            <section>
                
                
                <h3>Project (1)</h3>
                <div>
                
                    <div><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLActor (1)</h3>
                <div>
                
                    <div><a href='249148940795b16a8ec9b4686a2d3dcb.html'><span class='node-icon _icon-UMLActor'></span>SCADA</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociation (12)</h3>
                <div>
                
                    <div><a href='6d3298dc5cd18b5794b40a01c23d5e4c.html'><span class='node-icon _icon-UMLAssociation'></span>(Client—Service)</a></div>
                
                    <div><a href='4c8f582b8829f7adcf9c24898247b9e1.html'><span class='node-icon _icon-UMLAssociation'></span>(Node—Topology)</a></div>
                
                    <div><a href='f98ed64941bfa2ab640e93af2aed2d95.html'><span class='node-icon _icon-UMLAssociation'></span>(Link—Topology)</a></div>
                
                    <div><a href='b10e7eb14ac94ebdfd21770dcc3e3c03.html'><span class='node-icon _icon-UMLAssociation'></span>(NetworkInterface—Node)</a></div>
                
                    <div><a href='c9f610a3218c8fec517eb211b1b19f9a.html'><span class='node-icon _icon-UMLAssociation'></span>(Tuple—SliceRol)</a></div>
                
                    <div><a href='ce516a4e946e2c5dac083b62f1843005.html'><span class='node-icon _icon-UMLAssociation'></span>(SliceRol—Ied)</a></div>
                
                    <div><a href='d6364934a937431b2afc28107651d3e5.html'><span class='node-icon _icon-UMLAssociation'></span>(DNP3Server—DNP3Slice)</a></div>
                
                    <div><a href='c80618b736f1af51f8871b02cbc536c3.html'><span class='node-icon _icon-UMLAssociation'></span>(MMSServer—MMSSlice)</a></div>
                
                    <div><a href='1064df6cb12501ca454dfed1d673774e.html'><span class='node-icon _icon-UMLAssociation'></span>instantiates (TopologyService—Topology)</a></div>
                
                    <div><a href='eb52a99c1ba75acd1bba9b8535c7bb33.html'><span class='node-icon _icon-UMLAssociation'></span>instantiates (Ied—DevicesService)</a></div>
                
                    <div><a href='2c627aca411571be98bff1b03443709d.html'><span class='node-icon _icon-UMLAssociation'></span>instantiates (GooseSlice—GooseService)</a></div>
                
                    <div><a href='ec1e51b52cab070954a5a5177dd32b0c.html'><span class='node-icon _icon-UMLAssociation'></span>instantiates (DNP3Slice—DNP3Service)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociationEnd (24)</h3>
                <div>
                
                    <div><a href='c918975effd57a1eda9b56e67a49a4a3.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='396613a6193cfb84afb0a0dfba4cffe1.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='44e7a47005928a59e427a6ccb3559ba3.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='b26f3ebc11e159f24edc9abb2f7ccf83.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='8fdaba2f508315b9019640a1528358a0.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='66382838d5653451655476fd3354ac26.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='6f1c30a851a276ebe489083436ca6367.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='a429fcd54da90dc8e5f46be270594d5c.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='e1f54178e1adf69de334406677228d32.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='ba49bdb4fdcf4190d769dc0eb43d0bd2.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='7bbed835369e8b669753368d50d4d973.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='41568e93261da950d0f05d07ad3a6807.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='c00ffe748794a6b49f7b491153c3b36a.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='e560ea4d4399f65d15aad88c0d07fdd2.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='a05a6ec7c32f5bb80cbdf8bd8da165f1.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='4c9f46e4b48bf0a54179fd2b6cc37028.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='b280d144d8ec52ab331f9cc8c081b5df.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='3f40401c6069a96e6dbc5ef9b8c3ab89.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='690ced961deacf1d1c679928ed7d3f15.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='0cc736a6627f28b77ec682fe2c7a9485.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='fae9aa8c517a8b8b102c6f727deef26d.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='3f393fe2faf32eee9762536b835af603.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='2b39014154035b250e13e9ce683f8848.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='ac8e43c7c5450380732f1e8499a31b73.html'><span class='node-icon _icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAttribute (90)</h3>
                <div>
                
                    <div><a href='85f1a57cd05710d219feb5ffd701f731.html'><span class='node-icon _icon-UMLAttribute'></span>Attribute3</a></div>
                
                    <div><a href='6403a4988e555d75c20c30425c0219e8.html'><span class='node-icon _icon-UMLAttribute'></span>CurrentSpeed</a></div>
                
                    <div><a href='bfef8c6cd0a0bd060c476e72181ca92f.html'><span class='node-icon _icon-UMLAttribute'></span>Description</a></div>
                
                    <div><a href='8f36776f5604b34b41a9892fa218fcc0.html'><span class='node-icon _icon-UMLAttribute'></span>«Ied»Devices</a></div>
                
                    <div><a href='1ba539398da342663f8eba2c57d1927a.html'><span class='node-icon _icon-UMLAttribute'></span>Devices</a></div>
                
                    <div><a href='16417d88ea89b7b0c47b4d460cc534b1.html'><span class='node-icon _icon-UMLAttribute'></span>DevicesServiceProvider</a></div>
                
                    <div><a href='c981bd967427a771494b7410900d6585.html'><span class='node-icon _icon-UMLAttribute'></span>«NetworkInterface»End1</a></div>
                
                    <div><a href='4cf4ce0a271a1e00158078092503e093.html'><span class='node-icon _icon-UMLAttribute'></span>«NetworkInterface»End2</a></div>
                
                    <div><a href='dcfed632b33e813153ff345edafa9080.html'><span class='node-icon _icon-UMLAttribute'></span>Gateway</a></div>
                
                    <div><a href='1560f6f1afebc4d916680abef7c9f8c5.html'><span class='node-icon _icon-UMLAttribute'></span>IP_Address</a></div>
                
                    <div><a href='41adf1e58b7a11281c05bf4a5021d3ea.html'><span class='node-icon _icon-UMLAttribute'></span>«ArrayList&lt;Ied&gt;»Ied_List</a></div>
                
                    <div><a href='15226286292e88c0daef889b3866c10e.html'><span class='node-icon _icon-UMLAttribute'></span>«ArrayList»Interfaces</a></div>
                
                    <div><a href='e6cb21985c69d913319456ba385b150d.html'><span class='node-icon _icon-UMLAttribute'></span>Link_id</a></div>
                
                    <div><a href='950d79ab9be935774a4229acb4f078f1.html'><span class='node-icon _icon-UMLAttribute'></span>«Arraylist»Links</a></div>
                
                    <div><a href='51635a7a6291ad945aebe53bef5a5ee3.html'><span class='node-icon _icon-UMLAttribute'></span>MAC</a></div>
                
                    <div><a href='3dfd601484e3007c965835eacfa36dbc.html'><span class='node-icon _icon-UMLAttribute'></span>Manufacturer</a></div>
                
                    <div><a href='05b8732138564d8413350c99492fc293.html'><span class='node-icon _icon-UMLAttribute'></span>Mask</a></div>
                
                    <div><a href='47d45513a0bd2a80a187cec35dcd758d.html'><span class='node-icon _icon-UMLAttribute'></span>MaxSpeed</a></div>
                
                    <div><a href='05b47f8af3d7a8f9b37a761dcb9b75df.html'><span class='node-icon _icon-UMLAttribute'></span>Model</a></div>
                
                    <div><a href='bee92cb47197ccf80d9219e5c757a4c1.html'><span class='node-icon _icon-UMLAttribute'></span>Name</a></div>
                
                    <div><a href='4d95051636f36438bbd7e3fb304ae206.html'><span class='node-icon _icon-UMLAttribute'></span>Name</a></div>
                
                    <div><a href='1beef5a16aa5dfd77c65e755ea08a728.html'><span class='node-icon _icon-UMLAttribute'></span>Node_id</a></div>
                
                    <div><a href='e11bc604e712e46492541a98ec9844ad.html'><span class='node-icon _icon-UMLAttribute'></span>«ArrayList»Nodes</a></div>
                
                    <div><a href='3f3f228216f878e7a655514c2bd38587.html'><span class='node-icon _icon-UMLAttribute'></span>ODL_Rest</a></div>
                
                    <div><a href='93d3d48a1e6c3afac0ddf094263196f9.html'><span class='node-icon _icon-UMLAttribute'></span>ObbjectMapper_Serializer</a></div>
                
                    <div><a href='b3621756e73e5e4b7df99b00e6c20fe7.html'><span class='node-icon _icon-UMLAttribute'></span>OpSystem</a></div>
                
                    <div><a href='20432fc4496c9b5876c60d85baef1a34.html'><span class='node-icon _icon-UMLAttribute'></span>Port</a></div>
                
                    <div><a href='ab770f244c483cfb2e7666460a31c064.html'><span class='node-icon _icon-UMLAttribute'></span>Protocols</a></div>
                
                    <div><a href='92e013fc3fbf7ad4b7e1474492c8d790.html'><span class='node-icon _icon-UMLAttribute'></span>«HashMap»Protocols</a></div>
                
                    <div><a href='128a477ef6229016699e5ee03408ef4f.html'><span class='node-icon _icon-UMLAttribute'></span>«HashMap»QoS</a></div>
                
                    <div><a href='5cda1b06ab14e293c5faaf3f7cebd34d.html'><span class='node-icon _icon-UMLAttribute'></span>RestClient</a></div>
                
                    <div><a href='2f77ef6a6ee29fc667bc4b06f4f96111.html'><span class='node-icon _icon-UMLAttribute'></span>Rol</a></div>
                
                    <div><a href='9d0fee17e79894203fe326438adbfe2d.html'><span class='node-icon _icon-UMLAttribute'></span>SCADA_Software</a></div>
                
                    <div><a href='23cc2c1d09f5b29cd8f6eb3c711a9107.html'><span class='node-icon _icon-UMLAttribute'></span>SDS_Rest</a></div>
                
                    <div><a href='e5c9aa26e4baa90dfafb7e21ec3282e3.html'><span class='node-icon _icon-UMLAttribute'></span>SerialNumber</a></div>
                
                    <div><a href='f1cf2f640a9a6bc9a6e7345fe3853557.html'><span class='node-icon _icon-UMLAttribute'></span>SliceID</a></div>
                
                    <div><a href='5aa26a912bdf97372da804c8a921b905.html'><span class='node-icon _icon-UMLAttribute'></span>SoftwareVersion</a></div>
                
                    <div><a href='7b5e4ba2a5a3c5ac3017c8565b958375.html'><span class='node-icon _icon-UMLAttribute'></span>Status</a></div>
                
                    <div><a href='dce82827e1762370f20a0cfc39aab3f1.html'><span class='node-icon _icon-UMLAttribute'></span>Status</a></div>
                
                    <div><a href='f0e871d1b412b58e391183cebff17eab.html'><span class='node-icon _icon-UMLAttribute'></span>SuperService</a></div>
                
                    <div><a href='2e0cfa83822bb39e1f72d61f836adf43.html'><span class='node-icon _icon-UMLAttribute'></span>TopologyInstance</a></div>
                
                    <div><a href='1a651bd73fce34c14dd25fb5abc25154.html'><span class='node-icon _icon-UMLAttribute'></span>TopologyServiceProvider</a></div>
                
                    <div><a href='5dbb4e6015f2045a3709c75999b6757b.html'><span class='node-icon _icon-UMLAttribute'></span>Type</a></div>
                
                    <div><a href='d3fd1dcee1083479b55a88bcccd96d94.html'><span class='node-icon _icon-UMLAttribute'></span>Type</a></div>
                
                    <div><a href='c7d78e1ce7d06565f5a9254975d7ac33.html'><span class='node-icon _icon-UMLAttribute'></span>app_Id</a></div>
                
                    <div><a href='d3b6ec2ed3fa5d29258ad09f99bab621.html'><span class='node-icon _icon-UMLAttribute'></span>client</a></div>
                
                    <div><a href='7a0cef0a8172b21144ec62c22059b060.html'><span class='node-icon _icon-UMLAttribute'></span>«HashMap&lt;ConfigProtocol, Integer&gt;»configProtocolList</a></div>
                
                    <div><a href='80f294db6163643531c9ddc150bad6d3.html'><span class='node-icon _icon-UMLAttribute'></span>config_Ip</a></div>
                
                    <div><a href='9f0418a076978eafe2d5b18d43aea227.html'><span class='node-icon _icon-UMLAttribute'></span>content</a></div>
                
                    <div><a href='8451affb0027d67d746d5eae1d839b74.html'><span class='node-icon _icon-UMLAttribute'></span>content</a></div>
                
                    <div><a href='98c2e35c3aa4d13349f3e32be804dc29.html'><span class='node-icon _icon-UMLAttribute'></span>dirMulticast</a></div>
                
                    <div><a href='ef81d5ec425dd3a98dafdc04446690b0.html'><span class='node-icon _icon-UMLAttribute'></span>element</a></div>
                
                    <div><a href='0567f3935b77be689bc331ed14362e70.html'><span class='node-icon _icon-UMLAttribute'></span>element</a></div>
                
                    <div><a href='b59d048490c485de2cbe1f4403022cb6.html'><span class='node-icon _icon-UMLAttribute'></span>element</a></div>
                
                    <div><a href='d6449fc7444056b9892963ca9c28cbef.html'><span class='node-icon _icon-UMLAttribute'></span>element</a></div>
                
                    <div><a href='2cc6259935155605053abcc76d2037a5.html'><span class='node-icon _icon-UMLAttribute'></span>ethertype</a></div>
                
                    <div><a href='35e29893677a720f4dd2d62f907ab3bd.html'><span class='node-icon _icon-UMLAttribute'></span>ethertype</a></div>
                
                    <div><a href='0b9e2e061fe068669aab95a0e39cf989.html'><span class='node-icon _icon-UMLAttribute'></span>«HashMap&lt;String, Object&gt;»features</a></div>
                
                    <div><a href='29fb5389f1e01b98388714cc223ca8a7.html'><span class='node-icon _icon-UMLAttribute'></span>first_seen</a></div>
                
                    <div><a href='4ddd5330aa7296a5ac179d111842c3dd.html'><span class='node-icon _icon-UMLAttribute'></span>id</a></div>
                
                    <div><a href='d1cc35aa0dd2b63f6611f312676e8c5a.html'><span class='node-icon _icon-UMLAttribute'></span>id</a></div>
                
                    <div><a href='fd6af7bed9f29d228923931d09b1ba1a.html'><span class='node-icon _icon-UMLAttribute'></span>id</a></div>
                
                    <div><a href='33b7eff958f0fbc0b4cb7cb821f600ec.html'><span class='node-icon _icon-UMLAttribute'></span>last_seen</a></div>
                
                    <div><a href='fe3d1e7d773c8864fde9db70ec5345ab.html'><span class='node-icon _icon-UMLAttribute'></span>macPrefix</a></div>
                
                    <div><a href='718e02d5c4c1c7886bf2ce85579b76fc.html'><span class='node-icon _icon-UMLAttribute'></span>macPrefix</a></div>
                
                    <div><a href='f665aff7db7ddd0431066cf3ac6acd90.html'><span class='node-icon _icon-UMLAttribute'></span>odlName</a></div>
                
                    <div><a href='f2080ac0ae4a1777db9b8718130cdc85.html'><span class='node-icon _icon-UMLAttribute'></span>operation</a></div>
                
                    <div><a href='dcda1ef8d954f96d5336607d75500d3f.html'><span class='node-icon _icon-UMLAttribute'></span>port</a></div>
                
                    <div><a href='432d6b5bbc110b7702415da6498152be.html'><span class='node-icon _icon-UMLAttribute'></span>primaryServer</a></div>
                
                    <div><a href='d73f34da2270cd96f489a882d4eb1230.html'><span class='node-icon _icon-UMLAttribute'></span>priority</a></div>
                
                    <div><a href='e853dfc65e9e382a944bae233837ba24.html'><span class='node-icon _icon-UMLAttribute'></span>publisher</a></div>
                
                    <div><a href='cf0427dcb7490bd07290176638c25d98.html'><span class='node-icon _icon-UMLAttribute'></span>resource</a></div>
                
                    <div><a href='52a737ffe10cfed2b92e4cce479f2c5e.html'><span class='node-icon _icon-UMLAttribute'></span>resource</a></div>
                
                    <div><a href='0db0bca7105ea79769e8ab88da93fb4d.html'><span class='node-icon _icon-UMLAttribute'></span>resource</a></div>
                
                    <div><a href='53c5162c7014178808d746e000d8bca5.html'><span class='node-icon _icon-UMLAttribute'></span>resource</a></div>
                
                    <div><a href='ca9cf375004aa62b555dc4265a578b72.html'><span class='node-icon _icon-UMLAttribute'></span>responseCode</a></div>
                
                    <div><a href='0909ace965ef5d5442069090d2a7b26e.html'><span class='node-icon _icon-UMLAttribute'></span>restClient</a></div>
                
                    <div><a href='4e664cfc182e433091952ca95f8741db.html'><span class='node-icon _icon-UMLAttribute'></span>secondaryServer</a></div>
                
                    <div><a href='326cd3d50010d87ad9ddff5646e99fa2.html'><span class='node-icon _icon-UMLAttribute'></span>server</a></div>
                
                    <div><a href='2ab87ce4063b27a23539e538eb5024df.html'><span class='node-icon _icon-UMLAttribute'></span>«ArrayList&lt;? super Server&gt;»serverList</a></div>
                
                    <div><a href='54917eaab45d80df9fb2458fa7541a01.html'><span class='node-icon _icon-UMLAttribute'></span>sliceStatus</a></div>
                
                    <div><a href='44c3c091990134d28ba6861a3cff97c1.html'><span class='node-icon _icon-UMLAttribute'></span>sliceType</a></div>
                
                    <div><a href='89cd5b3eaef61672566bb12e80ebfa3b.html'><span class='node-icon _icon-UMLAttribute'></span>slice_Id</a></div>
                
                    <div><a href='9c60a922f7ea3bee32c13e9ad45d0a16.html'><span class='node-icon _icon-UMLAttribute'></span>software</a></div>
                
                    <div><a href='2a1e76326f234c25eebf52380a5afc31.html'><span class='node-icon _icon-UMLAttribute'></span>softwareVersion</a></div>
                
                    <div><a href='13df9332ae2b0720a1819761d6825c82.html'><span class='node-icon _icon-UMLAttribute'></span>status</a></div>
                
                    <div><a href='9181cb7011d5b89a82dadde43fe18784.html'><span class='node-icon _icon-UMLAttribute'></span>«ArrayList»subscribers</a></div>
                
                    <div><a href='ee3e4f407861ab44a5539126b83b4f35.html'><span class='node-icon _icon-UMLAttribute'></span>transportProtocol</a></div>
                
                    <div><a href='6c1d3153ce9fe004fae78af1e2ae84a1.html'><span class='node-icon _icon-UMLAttribute'></span>transportProtocol</a></div>
                
                    <div><a href='d02c50fad9aeaaee5143f1bd271172db.html'><span class='node-icon _icon-UMLAttribute'></span>vlan_Id</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClass (28)</h3>
                <div>
                
                    <div><a href='a2254bca24b8a743677b650e9cd08285.html'><span class='node-icon _icon-UMLClass'></span>«Singleton»Client</a></div>
                
                    <div><a href='741625dc1e97afe56eff71ab4a400938.html'><span class='node-icon _icon-UMLClass'></span>ClientServerSlice</a></div>
                
                    <div><a href='99fa9bc1a8af41889b9229ebf81e2e1e.html'><span class='node-icon _icon-UMLClass'></span>Concentrator</a></div>
                
                    <div><a href='0d6413dcdd9fa72b50b22e9b78aeeb10.html'><span class='node-icon _icon-UMLClass'></span>DNP3Server</a></div>
                
                    <div><a href='27eecc9ba063b363f36a9059680bdc61.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/dmp3&quot;)»DNP3Service</a></div>
                
                    <div><a href='d4bc1c1a2f847c26e03468cbb8dd6955.html'><span class='node-icon _icon-UMLClass'></span>DNP3Slice</a></div>
                
                    <div><a href='aad24dfa7a4656f2c1288639fc0bf1af.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Devicelist/{element}&quot;)»DevicesService</a></div>
                
                    <div><a href='55310dd09c68bd15daf22b13f59f88b7.html'><span class='node-icon _icon-UMLClass'></span>Gateway</a></div>
                
                    <div><a href='e972ba99b417f4ece22ff7d9e06bcc93.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/goose&quot;)»GooseService</a></div>
                
                    <div><a href='89281b163048e7cee3b1f079e84043d9.html'><span class='node-icon _icon-UMLClass'></span>GooseSlice</a></div>
                
                    <div><a href='cc823e4e6b73ea365b481b53700f2927.html'><span class='node-icon _icon-UMLClass'></span>Host</a></div>
                
                    <div><a href='d6fc4786c9e601e22845c1a2de837aee.html'><span class='node-icon _icon-UMLClass'></span>Ied</a></div>
                
                    <div><a href='c2b1d30f8646daa331849c8b259b3098.html'><span class='node-icon _icon-UMLClass'></span>L2Node</a></div>
                
                    <div><a href='e23389871abda2ba2ccdf1304d19245e.html'><span class='node-icon _icon-UMLClass'></span>L3PlusNode</a></div>
                
                    <div><a href='7a3c146428c6ece245a5c6d7043f8700.html'><span class='node-icon _icon-UMLClass'></span>Link</a></div>
                
                    <div><a href='63cdaa67a16fecda4d99b06a0eb2b8d9.html'><span class='node-icon _icon-UMLClass'></span>MMSServer</a></div>
                
                    <div><a href='5213686847c3dfa89138486c158aa7d8.html'><span class='node-icon _icon-UMLClass'></span>MMSSlice</a></div>
                
                    <div><a href='fc001417ec43f461c383b2ed12f2037e.html'><span class='node-icon _icon-UMLClass'></span>MulticastSlice</a></div>
                
                    <div><a href='18b43419b9dea961cb61ac360f9c9963.html'><span class='node-icon _icon-UMLClass'></span>NetworkInterface</a></div>
                
                    <div><a href='18eab05c88bda6b3d3784bad63a14c97.html'><span class='node-icon _icon-UMLClass'></span>Node</a></div>
                
                    <div><a href='e2e12bd090201aba931c2f3a03d99159.html'><span class='node-icon _icon-UMLClass'></span>Server</a></div>
                
                    <div><a href='831504b00b14841ba3f7f888560aaa66.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/&quot;)»Service</a></div>
                
                    <div><a href='58fa96a1586b6325f382c2a6d93e3e01.html'><span class='node-icon _icon-UMLClass'></span>Slice</a></div>
                
                    <div><a href='ddeb573b1420df4f646b07d339184d4b.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/{type}&quot;)»SlicesService</a></div>
                
                    <div><a href='44d5587f944dcb0ac1a7772f58d4747c.html'><span class='node-icon _icon-UMLClass'></span>SmvSlice</a></div>
                
                    <div><a href='7feb8fb6a3479a390168d7b5ec0a4930.html'><span class='node-icon _icon-UMLClass'></span>Switch</a></div>
                
                    <div><a href='2e8a1c43fad399c6c7b1fb85527506a8.html'><span class='node-icon _icon-UMLClass'></span>«Singleton»Topology</a></div>
                
                    <div><a href='5ce1f66a879547fb0e017dc33ff52ad6.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Topology/{element}&quot;)»TopologyService</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClassDiagram (6)</h3>
                <div>
                
                    <div><a href='a74bf0e3699da3f8e58beeb19b53e20a.html'><span class='node-icon _icon-UMLClassDiagram'></span>Devices_Service</a></div>
                
                    <div><a href='19f9b018182a66f8f72896b856896bd7.html'><span class='node-icon _icon-UMLClassDiagram'></span>Node</a></div>
                
                    <div><a href='970dbce83f9cd1b892215b79d912b5c0.html'><span class='node-icon _icon-UMLClassDiagram'></span>Rest_Service</a></div>
                
                    <div><a href='25a9dc1f6442d453b00dd8d352a66efd.html'><span class='node-icon _icon-UMLClassDiagram'></span>Slice</a></div>
                
                    <div><a href='2ec2b0c4ddb0c1dadfcc17ab244c1ebe.html'><span class='node-icon _icon-UMLClassDiagram'></span>Slices_Service</a></div>
                
                    <div><a href='99348af8d4c81fc1cf141dd40664cb0d.html'><span class='node-icon _icon-UMLClassDiagram'></span>Topology_Service</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLCollaboration (1)</h3>
                <div>
                
                    <div><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLCommunicationDiagram (2)</h3>
                <div>
                
                    <div><a href='c69c90045ef1b38f2ac251d904d47ea7.html'><span class='node-icon _icon-UMLCommunicationDiagram'></span>GET_Topology</a></div>
                
                    <div><a href='750c61db3a09b93e949a6c83a8f0f622.html'><span class='node-icon _icon-UMLCommunicationDiagram'></span>POST_Devices</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLConnector (30)</h3>
                <div>
                
                    <div><a href='61ac6b892ed8bd8bc00530dbf721a441.html'><span class='node-icon _icon-UMLConnector'></span>(SCADA_Software—SDS)</a></div>
                
                    <div><a href='487591542434b9119dfd4e5d2b9a95f6.html'><span class='node-icon _icon-UMLConnector'></span>(SCADA_Software—SDS_Rest)</a></div>
                
                    <div><a href='12029a3c84b293f9fa9febb83e52b8d2.html'><span class='node-icon _icon-UMLConnector'></span>(SCADA_Software—SDS_Rest)</a></div>
                
                    <div><a href='80a98a7176f82f8d81b4c249c2a4adbb.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—SuperService)</a></div>
                
                    <div><a href='dac91c6b4db78090cdf6271fc2ed68c4.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></div>
                
                    <div><a href='891b96ad4a7fb97e7404fc3b2a4c3531.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></div>
                
                    <div><a href='f01655b70823393ec6e14376b9779dd7.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—DevicesServiceProvider)</a></div>
                
                    <div><a href='c1ef5939156d18b3ff62d2d5cd0dbf95.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—Devices)</a></div>
                
                    <div><a href='021a73054c9e9ce46c26feeca819ac8d.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></div>
                
                    <div><a href='88231fbac76d3a57a3f75354a46f242f.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></div>
                
                    <div><a href='41ffd9d70007bb69b54446bc98543649.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></div>
                
                    <div><a href='0caf73f5486e2805e52ab47b70a99488.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></div>
                
                    <div><a href='735003dc853ca8e3f5d83e1ae374bcd7.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></div>
                
                    <div><a href='25558274c2ce5f66fbc475cdc22b530d.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></div>
                
                    <div><a href='c894531a4ea736c66f00d8fdf2fcf4c1.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—DevicesServiceProvider)</a></div>
                
                    <div><a href='108cfe019fc30d1b463196ceb7814024.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—RestClient)</a></div>
                
                    <div><a href='84a299fad3fb4f92ce1a08d0637cf67d.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—RestClient)</a></div>
                
                    <div><a href='3b5cdd89b4f7351bbd90a5014215271d.html'><span class='node-icon _icon-UMLConnector'></span>(SDS_Rest—DevicesServiceProvider)</a></div>
                
                    <div><a href='fcb2dd01b78fdfaf09cd7a0b8cce125a.html'><span class='node-icon _icon-UMLConnector'></span>(SDS_Rest—TopologyServiceProvider)</a></div>
                
                    <div><a href='eee14103c35f1b8f614a12577590a490.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—SuperService)</a></div>
                
                    <div><a href='5dc7ce03288d78552a5277b049d6eb8c.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></div>
                
                    <div><a href='271d310b8f015c1793a7b741b50dd6ea.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></div>
                
                    <div><a href='9a850900c145f7bf5874af6225b490f3.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></div>
                
                    <div><a href='00b8e1be29cf4fe6ab64b2e9fb69ff71.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></div>
                
                    <div><a href='6040813dd279e04ec1cdb86251ca33cb.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></div>
                
                    <div><a href='5b3b7a6132d3a03dec1c4dec5cfc6974.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—Ied_List)</a></div>
                
                    <div><a href='d46c0eabe7767001a83f4432612be061.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></div>
                
                    <div><a href='f01f2705206b3e28ee22807a233f9c4f.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyServiceProvider)</a></div>
                
                    <div><a href='836f665c968e79fab5d36f315cbc8182.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></div>
                
                    <div><a href='50182e37469c8e0d92f760055953c6b8.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologySerializer)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLConnectorEnd (60)</h3>
                <div>
                
                    <div><a href='f8192577fffed9e1d604115c199fec03.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='fa8f8ddc23eefdc88803b4e817aa479a.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='7d35873dbf011cb45bbc934bf39c3620.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='58f8048017f322323e99f6d920af3c3a.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='f1166b607ec024809526b55de57a212a.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='0af026477f41e19932abe8a9352efd88.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4f1d2f4ed6851cb31d9c4db4cdffcb96.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='8f9ab79dba86bc4ac3bac2d3d11f0b24.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4a2fd98fcfe1aa80360e194b279755ff.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='51a98b1c6b5c298bc814eba82824396b.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='53e137d03e1fcebf1fb0b684c6fa33ed.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='92eafb869c1538b3f93663dc8ff558f6.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='31ddb22e4ca2d31dfa1bf2859121469c.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='8a1eaf8657ae97e6e461911d38e2dd70.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='8cdead65f9d110890f1fa7b10f2a6b4c.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='327c00ebb092193049c9d561fcee5ab7.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='89d9ade48c4d9bab327d9104424a9d59.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='2ccaf5bce26b95662dd035b58835666f.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='655e8ab6e10a743ed2b4cc7b89b7834c.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='77f6c7ad212624303b3b0495b87cb6f1.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='708df0843e32dc74a41557ab894c9373.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='1220532edb79f025cf8df59f5cdc9c27.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='873daeb140af4602224fcbd15b299dd3.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='ddfbd9c1d7c044f55f0bba232d5310ea.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='5ffc84ae75ced3a7475296624fd5c763.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='ab06a36ff82b0ad0d349396f468bc725.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='fd2141382ee44b429bbd80b5d5a48486.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='af90a0c025b908084b30b2cf2957191d.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4eb793fe6e1b7f4503e13b74885ef184.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='614f19471680934b6a41a49cd1c7a0d9.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='063536925cfb454b013aee1b21713bc1.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='5b8806a84336e814c8ceee05bd8411dc.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='82537e32e2aecf1e7cee15bdce103b91.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4cc4bb6a740ea5ec3fb93261967423bd.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='e796f485892777f12f4b52e9b1654329.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='fbcb4fad44f1d488e068266852a471a4.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='f8efdab76f574c70e14b58bbfae610c4.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4e7dcb687c12a403c23d415529c87e22.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='fe2923659c238752f15af831ca475e0d.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='5f8a5a922706b07fd5b1449d83f0359f.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='172d7f1659f4d254940161e53cfca91e.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='4e31fad309e81ca9f15f631a15028510.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='ec3f69f31e6821843642ff58dbaf3960.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='70f3e444ce60c92f74dd8f77240730e3.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='bcc9addafd954d29b32925b36b57d821.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='77e880d757ba7974621ba48c4efefa87.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='3ba3eb562d28b05fc9fbea26520a884e.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='21f02e0d4ea0dbbfab74100627284db5.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='f90c585b4043dd28254e682501be83f8.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='a4a73e269833580334894cb6023d3dfe.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='0595072bf2cd115e9a72793fa525c437.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='5d28b8a1c76582c9c227a095d4d74658.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='15bb3a0edc0270e66e7754b8995ec25e.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='d24edd12a9deea69a881d18b40d78311.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='087105caf4059b6e975a9417f670407f.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='5258871a3d5793ed84bf9405b2371fa2.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='e0fd1c984a087c5bf13270ad42bb6e6a.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='bad6ed4c1d3aea3b8f978b2306ee64dd.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='25fe579d226cc9f031f10861816e732d.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                    <div><a href='93ed140af6f7245935ad51608e5852d1.html'><span class='node-icon _icon-UMLConnectorEnd'></span>(ConnectorEnd)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLDataType (2)</h3>
                <div>
                
                    <div><a href='4fcc4da5cd092760457fc76c46987d6e.html'><span class='node-icon _icon-UMLDataType'></span>SliceRol</a></div>
                
                    <div><a href='0a8498ea5e6123fa04aea8fa53fd2eee.html'><span class='node-icon _icon-UMLDataType'></span>Tuple</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLDependency (3)</h3>
                <div>
                
                    <div><a href='31dc89b0963ba96ad11c4432072c3b5c.html'><span class='node-icon _icon-UMLDependency'></span>(GooseRol→Roles)</a></div>
                
                    <div><a href='34d4baa6149ef1bd8982c701d1a7255f.html'><span class='node-icon _icon-UMLDependency'></span>(SerialRol→Roles)</a></div>
                
                    <div><a href='9591b6e4fe695476b4b2fdbe43737364.html'><span class='node-icon _icon-UMLDependency'></span>uses (Service→ODL_Rest_Interface)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLEnumeration (11)</h3>
                <div>
                
                    <div><a href='3612a85c208c2936d3ce3711e3fed0f3.html'><span class='node-icon _icon-UMLEnumeration'></span>ControlProtocol</a></div>
                
                    <div><a href='f6a6ba92cd9e3bc12602bb23e4812158.html'><span class='node-icon _icon-UMLEnumeration'></span>GooseRol</a></div>
                
                    <div><a href='dfa6bb479e86db2377fb34e426bd389f.html'><span class='node-icon _icon-UMLEnumeration'></span>HttpOperation</a></div>
                
                    <div><a href='d621f4f8f3b6b54080e009e1a39f7d26.html'><span class='node-icon _icon-UMLEnumeration'></span>InterfaceStatus</a></div>
                
                    <div><a href='3efe19a884f78fe35db3b6f57ad921ac.html'><span class='node-icon _icon-UMLEnumeration'></span>NodeStatus</a></div>
                
                    <div><a href='75df6ebf26f9fa91add2b09a4dadc0df.html'><span class='node-icon _icon-UMLEnumeration'></span>Protocol</a></div>
                
                    <div><a href='f184645498f4bae0a07a7c2294f5e012.html'><span class='node-icon _icon-UMLEnumeration'></span>Roles</a></div>
                
                    <div><a href='f94b58cf1532e977784177ccfc2d6b03.html'><span class='node-icon _icon-UMLEnumeration'></span>SerialEthertype</a></div>
                
                    <div><a href='c8ee87bc059a9af2afda2328d51e9540.html'><span class='node-icon _icon-UMLEnumeration'></span>SerialRol</a></div>
                
                    <div><a href='70c3fad76dac8af8d1dcd0f1cd9ed978.html'><span class='node-icon _icon-UMLEnumeration'></span>SerialTransportProtocol</a></div>
                
                    <div><a href='7b914e4c9401a2c832d4f689fd71e176.html'><span class='node-icon _icon-UMLEnumeration'></span>SliceStatus</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLEnumerationLiteral (29)</h3>
                <div>
                
                    <div><a href='72d31d5a71f2d4260e59ef94dd192cab.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>ACTIVE</a></div>
                
                    <div><a href='6de8363fd06549fb9da46d12350780bd.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>DELETE</a></div>
                
                    <div><a href='e52e1494a3c67d578f871664445e0bd1.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>DNP3</a></div>
                
                    <div><a href='4a2ee975086c482bd0f6f53403059016.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>DOWN</a></div>
                
                    <div><a href='75be24ad048942e06bb95a151a898481.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>GET</a></div>
                
                    <div><a href='cf7ffeb54a1874bbdf8365bef870bc6e.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>GOOSE</a></div>
                
                    <div><a href='c1290ddb07d5c94c011f3ee038438bea.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>INCOMPLETE</a></div>
                
                    <div><a href='2777c45e96e2e37033d19039b455f738.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>INSTALLED</a></div>
                
                    <div><a href='cad02e1d69b3c0e4dc84d59848e288d4.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>INSTALLED</a></div>
                
                    <div><a href='83504a8d760689cb729b0208af92e860.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>IPv4</a></div>
                
                    <div><a href='e960fb9a7f96a1b81173945232114f64.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>IPv6</a></div>
                
                    <div><a href='de54f2c7d2cb7a30c6d5d847d78c5fc6.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>MASTER</a></div>
                
                    <div><a href='7e866b50d2dbc2f3d1b2783270e106fe.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>MMS</a></div>
                
                    <div><a href='86a80b347f5f67b9e4e3d2ebc0f94dcd.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>MODBUS</a></div>
                
                    <div><a href='09cb41f39349f3d00523feff4dafbdd3.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>NETCONF</a></div>
                
                    <div><a href='11a5c6349d314c87f4a8f0c2391d15f3.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>NO_BROADCAST</a></div>
                
                    <div><a href='041861d73edaaa7fcd198b054cb61dff.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>NO_FORWARD</a></div>
                
                    <div><a href='6d5cf0daa56500c85a1a8e2e0a5eb309.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>OPENFLOW</a></div>
                
                    <div><a href='f58238025c9de19c6c797194ffe53d8d.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>PENDING</a></div>
                
                    <div><a href='03ae1cee45cc0580d56f2f87f9c1a5d0.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>PENDING</a></div>
                
                    <div><a href='58ab63aea99956f9e743c9cf3e7e8225.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>POST</a></div>
                
                    <div><a href='b092be6f468cafce2e1746561ae85f02.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>PUBLISHER</a></div>
                
                    <div><a href='24ae109191eb0e3adfde64571e011b2e.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>PUT</a></div>
                
                    <div><a href='5ee37aca9afe6d637682878d054b9310.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>REMOVING</a></div>
                
                    <div><a href='c837048068327a2bfd8c7a081fee1318.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>SLAVE</a></div>
                
                    <div><a href='353c49a174145befd323154eaa54ae7e.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>SNMP</a></div>
                
                    <div><a href='e233d824809a09e7ff031839781e2589.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>SUBSCRIBER</a></div>
                
                    <div><a href='41855f5e976215c39a17bd0387a31ac6.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>TCP</a></div>
                
                    <div><a href='cda4e7fb6c8247381b20d895b6454805.html'><span class='node-icon _icon-UMLEnumerationLiteral'></span>UDP</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLGeneralization (20)</h3>
                <div>
                
                    <div><a href='cb726eb3101663012e44d4cf19ca1f56.html'><span class='node-icon _icon-UMLGeneralization'></span>(DevicesService→Service)</a></div>
                
                    <div><a href='f52dc8d17443e982134b8762cd20752e.html'><span class='node-icon _icon-UMLGeneralization'></span>(TopologyService→Service)</a></div>
                
                    <div><a href='bab9806d3f2bbdc355037cefb76a9d24.html'><span class='node-icon _icon-UMLGeneralization'></span>(Host→L3PlusNode)</a></div>
                
                    <div><a href='9b953e3a7782b0add0f58a1ee353512b.html'><span class='node-icon _icon-UMLGeneralization'></span>(Switch→L2Node)</a></div>
                
                    <div><a href='39f8180c9bb36042ed905f1a07facb54.html'><span class='node-icon _icon-UMLGeneralization'></span>(Ied→L3PlusNode)</a></div>
                
                    <div><a href='f841664e7f305408f585ad08310c3f36.html'><span class='node-icon _icon-UMLGeneralization'></span>(L2Node→Node)</a></div>
                
                    <div><a href='d2db2a0c30b96fbe3c94aef50c0fef1c.html'><span class='node-icon _icon-UMLGeneralization'></span>(L3PlusNode→Node)</a></div>
                
                    <div><a href='c08f78dcc41e08466669f7dee7539450.html'><span class='node-icon _icon-UMLGeneralization'></span>(SlicesService→Service)</a></div>
                
                    <div><a href='db10c8c1ed1ac0ba29725ad87eea602e.html'><span class='node-icon _icon-UMLGeneralization'></span>(GooseService→SlicesService)</a></div>
                
                    <div><a href='291e1baa05f7c6434e4d6eec0b739254.html'><span class='node-icon _icon-UMLGeneralization'></span>(DNP3Service→SlicesService)</a></div>
                
                    <div><a href='fc8bf401e99bb6209cc428c4943a9e7c.html'><span class='node-icon _icon-UMLGeneralization'></span>(GooseSlice→MulticastSlice)</a></div>
                
                    <div><a href='2a58fe4bebd2c36b980e60b4b64c6c7a.html'><span class='node-icon _icon-UMLGeneralization'></span>(DNP3Slice→ClientServerSlice)</a></div>
                
                    <div><a href='b1f4b6887b294b4789e9db2e121de39c.html'><span class='node-icon _icon-UMLGeneralization'></span>(MMSSlice→ClientServerSlice)</a></div>
                
                    <div><a href='c3997f94ba84316de666447e926ab20e.html'><span class='node-icon _icon-UMLGeneralization'></span>(Concentrator→Host)</a></div>
                
                    <div><a href='178013ef917f3e87bb57db63575b7f5a.html'><span class='node-icon _icon-UMLGeneralization'></span>(Gateway→Host)</a></div>
                
                    <div><a href='b10b21a08f882e0c9738d814b201a254.html'><span class='node-icon _icon-UMLGeneralization'></span>(MulticastSlice→Slice)</a></div>
                
                    <div><a href='27daba5c0a3baf71392abeab7b93da0f.html'><span class='node-icon _icon-UMLGeneralization'></span>(ClientServerSlice→Slice)</a></div>
                
                    <div><a href='9405bb557e4ed43ef793c0c5da863ef2.html'><span class='node-icon _icon-UMLGeneralization'></span>(SmvSlice→MulticastSlice)</a></div>
                
                    <div><a href='3a33b536e2c646931e7e6580fb903f36.html'><span class='node-icon _icon-UMLGeneralization'></span>extends (DNP3Server→Server)</a></div>
                
                    <div><a href='584e27ddd5e8390517a97d212d5a48dc.html'><span class='node-icon _icon-UMLGeneralization'></span>extends (MMSServer→Server)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInteraction (2)</h3>
                <div>
                
                    <div><a href='47a9beef707d3a1b2cd12aab3b4186e7.html'><span class='node-icon _icon-UMLInteraction'></span>Devices_Resource</a></div>
                
                    <div><a href='0749035ccebfbe58ca3dce31507c6ba6.html'><span class='node-icon _icon-UMLInteraction'></span>Topology_Resource</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInterface (2)</h3>
                <div>
                
                    <div><a href='6739b67e1489406b476b1c4ada201b7b.html'><span class='node-icon _icon-UMLInterface'></span>ODL_Rest_Interface</a></div>
                
                    <div><a href='5a7120534ba6e27f056339694bc1981c.html'><span class='node-icon _icon-UMLInterface'></span>SDS_Rest_Interface</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInterfaceRealization (1)</h3>
                <div>
                
                    <div><a href='e7c3484152201b15b44dc26b6aff8b52.html'><span class='node-icon _icon-UMLInterfaceRealization'></span>implements (Service→SDS_Rest_Interface)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLLifeline (16)</h3>
                <div>
                
                    <div><a href='6d7713bf5201c74074f296b185ae2db7.html'><span class='node-icon _icon-UMLLifeline'></span>Abstract: Service</a></div>
                
                    <div><a href='ffeb77f8cef58b63683675c9f5d9c7a1.html'><span class='node-icon _icon-UMLLifeline'></span>Abstract: Service</a></div>
                
                    <div><a href='4b9c894af765c737e8cc45a6f34e035e.html'><span class='node-icon _icon-UMLLifeline'></span>Client: Client</a></div>
                
                    <div><a href='b7846f4e7d966d8c06fa3a7977a19fa8.html'><span class='node-icon _icon-UMLLifeline'></span>Client: Client</a></div>
                
                    <div><a href='4dbc1710e20116fbe4e396691066ad97.html'><span class='node-icon _icon-UMLLifeline'></span>Ied_List</a></div>
                
                    <div><a href='9dca879845f1dbc0eb81b82fc16b4a38.html'><span class='node-icon _icon-UMLLifeline'></span>ListOfDevices</a></div>
                
                    <div><a href='98dd47532c72d7a165359c77bb158d3e.html'><span class='node-icon _icon-UMLLifeline'></span>ODL: ODL_Rest_Interface</a></div>
                
                    <div><a href='e8597b0a023f7d066b459c0819408dc1.html'><span class='node-icon _icon-UMLLifeline'></span>ODL: ODL_Rest_Interface</a></div>
                
                    <div><a href='40ef429defe00b860643eb38555a1f51.html'><span class='node-icon _icon-UMLLifeline'></span>SDS: SDS_Rest_Interface</a></div>
                
                    <div><a href='188da2b4c6bd84d96ccaff690653f09f.html'><span class='node-icon _icon-UMLLifeline'></span>SDS: SDS_Rest_Interface</a></div>
                
                    <div><a href='4d8971c2d24d5d782f3eac9a5668dc7e.html'><span class='node-icon _icon-UMLLifeline'></span>Service: DevicesService</a></div>
                
                    <div><a href='fdd5f3b8c6fc0d8cf1acfda7b5b9122c.html'><span class='node-icon _icon-UMLLifeline'></span>Service: TopologyService</a></div>
                
                    <div><a href='48811d34fe07873421e05d1b18b9dec9.html'><span class='node-icon _icon-UMLLifeline'></span>Topology: Topology</a></div>
                
                    <div><a href='7507d83f43ca34f75f86f23c4483dddf.html'><span class='node-icon _icon-UMLLifeline'></span>TopologySerializer</a></div>
                
                    <div><a href='309a0c4baeb2d4e38de1b70d7819eba9.html'><span class='node-icon _icon-UMLLifeline'></span>User: SCADA</a></div>
                
                    <div><a href='7cdd71a8f89d43f6b746f6396d707225.html'><span class='node-icon _icon-UMLLifeline'></span>User: SCADA</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLMessage (35)</h3>
                <div>
                
                    <div><a href='e2d4d39585ebd2188484e458fdc22e8b.html'><span class='node-icon _icon-UMLMessage'></span>ClientInstance (Abstract→Service)</a></div>
                
                    <div><a href='6f78a2930352ee69a801495c40784b76.html'><span class='node-icon _icon-UMLMessage'></span>ClientInstance (Abstract→Service)</a></div>
                
                    <div><a href='3c2f2b1b508415b2f56a4c47c0ca529a.html'><span class='node-icon _icon-UMLMessage'></span>DevicesRequest (User→SDS)</a></div>
                
                    <div><a href='52e7b6917ea39250463fb4559fc26456.html'><span class='node-icon _icon-UMLMessage'></span>GetService (SDS→Service)</a></div>
                
                    <div><a href='b9277a539cbb1bb2c457812ccd7a8f42.html'><span class='node-icon _icon-UMLMessage'></span>Http response (ODL→Client)</a></div>
                
                    <div><a href='7e2f5605eb623713c239c98512764c71.html'><span class='node-icon _icon-UMLMessage'></span>HttpRequestMessage (Client→ODL)</a></div>
                
                    <div><a href='e68dcfc2ed129c1fb6479d589131f2ff.html'><span class='node-icon _icon-UMLMessage'></span>HttpRequestToODL (Client→ODL)</a></div>
                
                    <div><a href='23b69cbb174ff6cf1b93aeea414f9900.html'><span class='node-icon _icon-UMLMessage'></span>HttpRequestToODL (Client→ODL)</a></div>
                
                    <div><a href='4016deb0ee863e4fa19a8379181bbc9d.html'><span class='node-icon _icon-UMLMessage'></span>HttpRequestToODL (Client→ODL)</a></div>
                
                    <div><a href='e3e01271d6abda8a30dc5814a2d68aaa.html'><span class='node-icon _icon-UMLMessage'></span>IP_List (Ied_List→Service)</a></div>
                
                    <div><a href='095358948dfcec4c3868075e35ce7071.html'><span class='node-icon _icon-UMLMessage'></span>InstanceTopology (Service→Topology)</a></div>
                
                    <div><a href='229c766eb1279d8554862b32323e980f.html'><span class='node-icon _icon-UMLMessage'></span>Instantiate (Service→Ied_List)</a></div>
                
                    <div><a href='4d1f34ea80cb41ba09335b12019bdadf.html'><span class='node-icon _icon-UMLMessage'></span>PostService (SDS→Service)</a></div>
                
                    <div><a href='4c1ac9c5b92c6b94a2f00f4be5c849e2.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></div>
                
                    <div><a href='cf7a03648b1e79aee7b1b4badf3092d0.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></div>
                
                    <div><a href='757e49f98c3b607088c847496ea42c83.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></div>
                
                    <div><a href='3fb887d2d2d1cdbd636a23a76f68b88e.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromAPI (Service→SDS)</a></div>
                
                    <div><a href='f19d9d4e616bc9e7743e84df77655684.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromAPI (Service→SDS)</a></div>
                
                    <div><a href='500046f9f4aa5e30445d46d74c2b1d9e.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromODL (ODL→Client)</a></div>
                
                    <div><a href='94a4a4b385eda2b86a6f4dc2de9f0425.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromODL (ODL→Client)</a></div>
                
                    <div><a href='2899618a00c76ed7795b7e6dc4083065.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromODL (ODL→Client)</a></div>
                
                    <div><a href='b8e529fcef3d25cc13a1469eaa7b7245.html'><span class='node-icon _icon-UMLMessage'></span>TopologyRequest (User→SDS)</a></div>
                
                    <div><a href='83a0872ffaa4a09656a18a5642f7c74d.html'><span class='node-icon _icon-UMLMessage'></span>addSwitchInfo (Service→Topology)</a></div>
                
                    <div><a href='911571e8a172d32c542e8dfd9fe5b1e0.html'><span class='node-icon _icon-UMLMessage'></span>configureWriter (Service→Service)</a></div>
                
                    <div><a href='8fd72f2c3b19367c536cdf7f2c6ae349.html'><span class='node-icon _icon-UMLMessage'></span>createListOfDevices (Service→ListOfDevices)</a></div>
                
                    <div><a href='52c76355935c59d41f96773ab64aa65e.html'><span class='node-icon _icon-UMLMessage'></span>getClient (Service→Abstract)</a></div>
                
                    <div><a href='fb1f5f84e6929ed2c4de3c25f1c31355.html'><span class='node-icon _icon-UMLMessage'></span>getClient (Service→Abstract)</a></div>
                
                    <div><a href='441626e46f6e0eb85e35d58e08bb58ea.html'><span class='node-icon _icon-UMLMessage'></span>getDevicesFromODL (Service→Client)</a></div>
                
                    <div><a href='06df69a9e5200d2baf5329a5845d81c8.html'><span class='node-icon _icon-UMLMessage'></span>getInstance (Abstract→Client)</a></div>
                
                    <div><a href='a96465e974e971d4048833fa47e23e3a.html'><span class='node-icon _icon-UMLMessage'></span>getInstance (Abstract→Client)</a></div>
                
                    <div><a href='44810a647b50d7645762f37c7eeb9824.html'><span class='node-icon _icon-UMLMessage'></span>getInventoryFromODL (Service→Client)</a></div>
                
                    <div><a href='a346436ca0c311aa187866c4a9c0dcbf.html'><span class='node-icon _icon-UMLMessage'></span>getTopoFromODL (Service→Client)</a></div>
                
                    <div><a href='26fd42a5afb02c370bc1de22f4c54b59.html'><span class='node-icon _icon-UMLMessage'></span>instanceTopologySerializer (Service→Service)</a></div>
                
                    <div><a href='b83477d525774e1942eec7c56b234ff4.html'><span class='node-icon _icon-UMLMessage'></span>setDevicesToODL (Service→Client)</a></div>
                
                    <div><a href='a49f0dcec53a732f99b54c781424d3d0.html'><span class='node-icon _icon-UMLMessage'></span>updateDevices (Service→Service)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLModel (2)</h3>
                <div>
                
                    <div><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></div>
                
                    <div><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLOperation (83)</h3>
                <div>
                
                    <div><a href='8e60b1c33b7c6dd960765ce9ca5b8684.html'><span class='node-icon _icon-UMLOperation'></span>Getters &amp; Setters</a></div>
                
                    <div><a href='72d7d640b2146e266cd19b1bd2619909.html'><span class='node-icon _icon-UMLOperation'></span>Getters &amp; Setters</a></div>
                
                    <div><a href='95785ebc65aa680c2e42fab37ddd6581.html'><span class='node-icon _icon-UMLOperation'></span>Getters &amp; Setters</a></div>
                
                    <div><a href='4e1ed2f1d289fc04aef217c68dbff598.html'><span class='node-icon _icon-UMLOperation'></span>Getters &amp; Setters</a></div>
                
                    <div><a href='2ef14e0d15ad8d2a1dfe071fb21c1fd0.html'><span class='node-icon _icon-UMLOperation'></span>Getters &amp; Setters</a></div>
                
                    <div><a href='43067e7c554ad79ea6681bc38e30e004.html'><span class='node-icon _icon-UMLOperation'></span>HttpRequestToODL</a></div>
                
                    <div><a href='393bc0b0259354e9753c7e08b9738fb9.html'><span class='node-icon _icon-UMLOperation'></span>configureWriter</a></div>
                
                    <div><a href='59b6230d07dbbc133071723f4097eab7.html'><span class='node-icon _icon-UMLOperation'></span>constructor</a></div>
                
                    <div><a href='d35f43ce38b32a0ca010abfac4e0de35.html'><span class='node-icon _icon-UMLOperation'></span>constructor</a></div>
                
                    <div><a href='d592e8c11a59a9ee4994b1a4271afb7c.html'><span class='node-icon _icon-UMLOperation'></span>constructor</a></div>
                
                    <div><a href='9ffdcfab7000cd1eaaf47441b8e60033.html'><span class='node-icon _icon-UMLOperation'></span>constructor</a></div>
                
                    <div><a href='567a85bf801754efb649a3b5168c74d6.html'><span class='node-icon _icon-UMLOperation'></span>«@DELETE @Path=(&quot;{type}/&quot;)»deleteService</a></div>
                
                    <div><a href='76b3869506602c2ec3cd2d8e201cf312.html'><span class='node-icon _icon-UMLOperation'></span>getClient</a></div>
                
                    <div><a href='5512569587b69d27f8506ddc1af3fbe1.html'><span class='node-icon _icon-UMLOperation'></span>getConfig_Dir</a></div>
                
                    <div><a href='83b928841e1ec69a43c8fb98afdbfe1f.html'><span class='node-icon _icon-UMLOperation'></span>getConfig_Port</a></div>
                
                    <div><a href='03ea72594b3a35d5187b9c48085ae407.html'><span class='node-icon _icon-UMLOperation'></span>getCurrentSpeed</a></div>
                
                    <div><a href='28b58c0821d0bd37008dac58d0c60cb7.html'><span class='node-icon _icon-UMLOperation'></span>getDevicesFromODL</a></div>
                
                    <div><a href='0952673db14e7f2d5471ed3090229d5a.html'><span class='node-icon _icon-UMLOperation'></span>getEnd1</a></div>
                
                    <div><a href='af08de0148cd0622c2004b4ba6ff3fbf.html'><span class='node-icon _icon-UMLOperation'></span>getEnd2</a></div>
                
                    <div><a href='d2a0286b7d8646e54bfcd293a0b0001c.html'><span class='node-icon _icon-UMLOperation'></span>getGateway</a></div>
                
                    <div><a href='983b99e9597d80d00d20359bae96e82f.html'><span class='node-icon _icon-UMLOperation'></span>getIP</a></div>
                
                    <div><a href='76e32f0133437c47e734e61e237750bf.html'><span class='node-icon _icon-UMLOperation'></span>getInstance</a></div>
                
                    <div><a href='119e6947e50980c43c38173a99213579.html'><span class='node-icon _icon-UMLOperation'></span>getInterfaces</a></div>
                
                    <div><a href='2141bcb16cc3a352240b3a7d426a09ab.html'><span class='node-icon _icon-UMLOperation'></span>getLink_id</a></div>
                
                    <div><a href='e0ed309834b33fa76c1314b2ca1119a7.html'><span class='node-icon _icon-UMLOperation'></span>getLinks</a></div>
                
                    <div><a href='9acf725299d2e98fd5db198967591b40.html'><span class='node-icon _icon-UMLOperation'></span>getMAC</a></div>
                
                    <div><a href='30327a7702d70fe02d181a2608abe0fc.html'><span class='node-icon _icon-UMLOperation'></span>getManufacturer</a></div>
                
                    <div><a href='9bf8b2b60bce17449a0ce7e6ce7c5646.html'><span class='node-icon _icon-UMLOperation'></span>getMask</a></div>
                
                    <div><a href='77d411932e3efe364753ecf2b8b163e9.html'><span class='node-icon _icon-UMLOperation'></span>getMaxSpeed</a></div>
                
                    <div><a href='0418ea47608b8f7f713878ae953e99a0.html'><span class='node-icon _icon-UMLOperation'></span>getModel</a></div>
                
                    <div><a href='77ae5c20513138f3e1b799786d4e5fa6.html'><span class='node-icon _icon-UMLOperation'></span>getName</a></div>
                
                    <div><a href='40f0d87bd71dbbac6db40ffdcf7ea3db.html'><span class='node-icon _icon-UMLOperation'></span>getName</a></div>
                
                    <div><a href='c58463be5000e2138430965ad9d6f430.html'><span class='node-icon _icon-UMLOperation'></span>getNextID</a></div>
                
                    <div><a href='1b39c18c87bb406f4d06e9fff903f40e.html'><span class='node-icon _icon-UMLOperation'></span>getNextID</a></div>
                
                    <div><a href='1189549118e2feda0e6a089fdf9fcaef.html'><span class='node-icon _icon-UMLOperation'></span>«@GET @Path=(&quot;{element}/&quot;)»getNodeService</a></div>
                
                    <div><a href='38332f7564655cb013db81788151c875.html'><span class='node-icon _icon-UMLOperation'></span>getNode_id</a></div>
                
                    <div><a href='75f20f4e5ae9b0a9917c24184e6386bd.html'><span class='node-icon _icon-UMLOperation'></span>getNodes</a></div>
                
                    <div><a href='35640989338858a7f87353b757be341e.html'><span class='node-icon _icon-UMLOperation'></span>getOpSystem</a></div>
                
                    <div><a href='9481fe40ce8ad7e62dca316fec7f5a26.html'><span class='node-icon _icon-UMLOperation'></span>getPort</a></div>
                
                    <div><a href='104ec04eb8104b8816aef13afb4a4eb8.html'><span class='node-icon _icon-UMLOperation'></span>getProtocols</a></div>
                
                    <div><a href='8e51d15ef112c21325e42fddb55bef4f.html'><span class='node-icon _icon-UMLOperation'></span>getResource</a></div>
                
                    <div><a href='173314a59ac4026507c7c3459e87917f.html'><span class='node-icon _icon-UMLOperation'></span>getServer</a></div>
                
                    <div><a href='4ba0734afa3dcc51efe842de7b9dfce1.html'><span class='node-icon _icon-UMLOperation'></span>«@GET @Path=(&quot;{type}/&quot;)»getService</a></div>
                
                    <div><a href='5cea107e3a6965cff44fdcfc4dcd82c1.html'><span class='node-icon _icon-UMLOperation'></span>getStatus</a></div>
                
                    <div><a href='2e48375ee3c8e4216fb5a0de090d8270.html'><span class='node-icon _icon-UMLOperation'></span>getStatus</a></div>
                
                    <div><a href='0e385103d73aaf1dc7f55516338fdba6.html'><span class='node-icon _icon-UMLOperation'></span>getTopologyFromODL</a></div>
                
                    <div><a href='5f41cdbe5c190febe14893730ff9bf50.html'><span class='node-icon _icon-UMLOperation'></span>getType</a></div>
                
                    <div><a href='2c64fde29d9d60662560c33243db26c6.html'><span class='node-icon _icon-UMLOperation'></span>getType</a></div>
                
                    <div><a href='ceca37d6eaf00f5e345c91c0a064a583.html'><span class='node-icon _icon-UMLOperation'></span>getter &amp; setter</a></div>
                
                    <div><a href='71dd35428a1ee93b2b6277fd0ad872d8.html'><span class='node-icon _icon-UMLOperation'></span>getter &amp; setter</a></div>
                
                    <div><a href='979f4339fdda0df909c16d72cb7c86a6.html'><span class='node-icon _icon-UMLOperation'></span>«@POST @Path=(&quot;devices/&quot;)»postService</a></div>
                
                    <div><a href='bbebaeb13874ae03a5985ea6ff919e22.html'><span class='node-icon _icon-UMLOperation'></span>«@POST @Path=(&quot;{type}/&quot;)»postService</a></div>
                
                    <div><a href='e3f5cb61e1410ca98fabb58452d11841.html'><span class='node-icon _icon-UMLOperation'></span>«@PUT @Path=(&quot;{type}/&quot;)»putService</a></div>
                
                    <div><a href='267177d41cc6294c77760f897b1218e1.html'><span class='node-icon _icon-UMLOperation'></span>request</a></div>
                
                    <div><a href='aac049a5d33c6325387c8baf0793e70b.html'><span class='node-icon _icon-UMLOperation'></span>setConfig_Dir</a></div>
                
                    <div><a href='460a482b1f3371b066ce41aac8fceeb5.html'><span class='node-icon _icon-UMLOperation'></span>setConfig_Port</a></div>
                
                    <div><a href='049f68d140e4e09b650354311c0020de.html'><span class='node-icon _icon-UMLOperation'></span>setCurrentSpeed</a></div>
                
                    <div><a href='8b53b60e73a184b0b59b568517b7929e.html'><span class='node-icon _icon-UMLOperation'></span>setDevicesToODL</a></div>
                
                    <div><a href='d95a0aee13b2737155a61b8541ecc9e0.html'><span class='node-icon _icon-UMLOperation'></span>setEnd1</a></div>
                
                    <div><a href='830150a9cb5be64908138341185a56b7.html'><span class='node-icon _icon-UMLOperation'></span>setEnd2</a></div>
                
                    <div><a href='b6cb6ef15f2cae9d96da2f3a521d50ae.html'><span class='node-icon _icon-UMLOperation'></span>setGateway</a></div>
                
                    <div><a href='d7476c666af02394a1cc4dc32a80650e.html'><span class='node-icon _icon-UMLOperation'></span>setIP</a></div>
                
                    <div><a href='4e9fc47f47b98e722eef7e2b10056ed4.html'><span class='node-icon _icon-UMLOperation'></span>setInterfaces</a></div>
                
                    <div><a href='64c18ddd83c905c84505ab6b16e4f861.html'><span class='node-icon _icon-UMLOperation'></span>setLink_id</a></div>
                
                    <div><a href='46238c55df0aa3e66d69d714a93a458c.html'><span class='node-icon _icon-UMLOperation'></span>setLinks</a></div>
                
                    <div><a href='e8e8fca10e3f48bb812c76e1bdee7e00.html'><span class='node-icon _icon-UMLOperation'></span>setMAC</a></div>
                
                    <div><a href='5c3b3e86e22293acaeb65776910df410.html'><span class='node-icon _icon-UMLOperation'></span>setManufacturer</a></div>
                
                    <div><a href='7d9078d1e796d137403f7e67873093f5.html'><span class='node-icon _icon-UMLOperation'></span>setMask</a></div>
                
                    <div><a href='ab8e68e367ea5d2ba960ad1b01201964.html'><span class='node-icon _icon-UMLOperation'></span>setMaxSpeed</a></div>
                
                    <div><a href='3eae09445865669a2430e6b9cbaf947b.html'><span class='node-icon _icon-UMLOperation'></span>setModel</a></div>
                
                    <div><a href='e21a43cd2f5a4aff4d5ad1dd60f4ed68.html'><span class='node-icon _icon-UMLOperation'></span>setName</a></div>
                
                    <div><a href='326a5a91286924d659741c25cad17b56.html'><span class='node-icon _icon-UMLOperation'></span>setName</a></div>
                
                    <div><a href='5f0dd00a00375f825e1b49f3df31b4dc.html'><span class='node-icon _icon-UMLOperation'></span>setNode_id</a></div>
                
                    <div><a href='389d35ea415ed0a9ed00b1723d77ed8d.html'><span class='node-icon _icon-UMLOperation'></span>setNodes</a></div>
                
                    <div><a href='26e948bc6127100a3ccec573988d9b99.html'><span class='node-icon _icon-UMLOperation'></span>setOpSystem</a></div>
                
                    <div><a href='779273e320da6bc9569735daab943333.html'><span class='node-icon _icon-UMLOperation'></span>setPort</a></div>
                
                    <div><a href='cd7b2cd1291d456a68b84b5f3e48fe9e.html'><span class='node-icon _icon-UMLOperation'></span>setProtocols</a></div>
                
                    <div><a href='916dca7c0443f4a12e01e2320eca0579.html'><span class='node-icon _icon-UMLOperation'></span>setStatus</a></div>
                
                    <div><a href='dda2d0b7359acd50ad4faa4a8a63432c.html'><span class='node-icon _icon-UMLOperation'></span>setStatus</a></div>
                
                    <div><a href='e86c6beaee4259056c29898c98034a5c.html'><span class='node-icon _icon-UMLOperation'></span>setType</a></div>
                
                    <div><a href='5a9e9acf9a13a48c503dcd35cf2b95d7.html'><span class='node-icon _icon-UMLOperation'></span>setType</a></div>
                
                    <div><a href='ce29c2f29fa10e306d087b5cd2a5a45b.html'><span class='node-icon _icon-UMLOperation'></span>setter &amp; getter</a></div>
                
                    <div><a href='0c35852dd8f4db7909723324fcf72e0b.html'><span class='node-icon _icon-UMLOperation'></span>updateDevices</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLParameter (13)</h3>
                <div>
                
                    <div><a href='ebcd20ad6a5437c5fb64fa68dd28d104.html'><span class='node-icon _icon-UMLParameter'></span>Body</a></div>
                
                    <div><a href='1ccdd5358253d7cc8b30489b53b9a4a3.html'><span class='node-icon _icon-UMLParameter'></span>Body</a></div>
                
                    <div><a href='fb3ae02d58c620b98e08645b38a891bd.html'><span class='node-icon _icon-UMLParameter'></span>Path</a></div>
                
                    <div><a href='23f8645daf39f3f17c3450d8ece0c17c.html'><span class='node-icon _icon-UMLParameter'></span>Path</a></div>
                
                    <div><a href='7545d975583eaad7b1c5fa5ba24cd529.html'><span class='node-icon _icon-UMLParameter'></span>Type</a></div>
                
                    <div><a href='b94f3186710d853e941119eb60cc6759.html'><span class='node-icon _icon-UMLParameter'></span>Type</a></div>
                
                    <div><a href='58dbddae146f76051cc5bc98ce86cc58.html'><span class='node-icon _icon-UMLParameter'></span>«JSON»arg</a></div>
                
                    <div><a href='a6f053f5857946f7379c3edcd8fbde30.html'><span class='node-icon _icon-UMLParameter'></span>mode</a></div>
                
                    <div><a href='fbeb410fa5e62135865e4f54e323eab8.html'><span class='node-icon _icon-UMLParameter'></span>resourceDir</a></div>
                
                    <div><a href='2fb6bd1b6049745b05b875b512bf58c9.html'><span class='node-icon _icon-UMLParameter'></span>return</a></div>
                
                    <div><a href='fd7fbc1241d6e708593ac95b5036d71c.html'><span class='node-icon _icon-UMLParameter'></span>return</a></div>
                
                    <div><a href='fe37853bbc82667cf15b9d600165066d.html'><span class='node-icon _icon-UMLParameter'></span>return</a></div>
                
                    <div><a href='6532facc9304216f460b763d8181b473.html'><span class='node-icon _icon-UMLParameter'></span>return</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLPrimitiveType (1)</h3>
                <div>
                
                    <div><a href='23076608b5d733b7e7af90b0cdc20aab.html'><span class='node-icon _icon-UMLPrimitiveType'></span>url</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLReception (1)</h3>
                <div>
                
                    <div><a href='8e339969bee49d4fae50b0f10df8d6c0.html'><span class='node-icon _icon-UMLReception'></span>(«signal» Http request)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLSignal (2)</h3>
                <div>
                
                    <div><a href='07e0db68754164cbcf748bff1ef68b30.html'><span class='node-icon _icon-UMLSignal'></span>Http request</a></div>
                
                    <div><a href='6e3223dbda20d0e625a3a540a70d5952.html'><span class='node-icon _icon-UMLSignal'></span>Http response</a></div>
                
                </div>
            </section>
            
        </div>
    </body>
</html>
